Debian Bug report logs - #646524
RM: sun-java6 -- ROM; security issues and newer versions cannot be redistributed

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Torsten Werner <twerner@debian.org>

Date: Mon, 24 Oct 2011 19:00:01 UTC

Severity: normal

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, twerner@debian.org, sun-java6@packages.debian.org, sun-java6@packages.qa.debian.org, 645881@bugs.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#646524; Package ftp.debian.org. (Mon, 24 Oct 2011 19:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Torsten Werner <twerner@debian.org>:
New Bug report received and forwarded. Copy sent to twerner@debian.org, sun-java6@packages.debian.org, sun-java6@packages.qa.debian.org, 645881@bugs.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Mon, 24 Oct 2011 19:00:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Torsten Werner <twerner@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RM: sun-java6 -- ROM; security issues and newer versions cannot be redistributed
Date: Mon, 24 Oct 2011 20:57:33 +0200
Package: ftp.debian.org
Severity: normal

Hi,

the current package has security issues. Newer versions are no longer available
under the DLJ license. Please remove the package from unstable. Please ignore
dak is detecting doctorj as a reverse dependency. Doctorj depends on
java2-runtime.

Thanks,
Torsten




Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Tue, 25 Oct 2011 09:43:23 GMT) Full text and rfc822 format available.

Notification sent to Torsten Werner <twerner@debian.org>:
Bug acknowledged by developer. (Tue, 25 Oct 2011 09:43:28 GMT) Full text and rfc822 format available.

Message #10 received at 646524-close@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 646524-close@bugs.debian.org
Cc: sun-java6@packages.debian.org, sun-java6@packages.qa.debian.org
Subject: Bug#646524: Removed package(s) from unstable
Date: Tue, 25 Oct 2011 09:17:08 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

ia32-sun-java6-bin |     6.26-3 | amd64
 sun-java6 |     6.26-3 | source
sun-java6-bin |     6.26-3 | amd64, i386
sun-java6-demo |     6.26-3 | amd64, i386
sun-java6-fonts |     6.26-3 | all
sun-java6-javadb |     6.26-3 | all
sun-java6-jdk |     6.26-3 | amd64, i386
sun-java6-jre |     6.26-3 | all
sun-java6-plugin |     6.26-3 | amd64, i386
sun-java6-source |     6.26-3 | all

------------------- Reason -------------------
ROM; security issues and newer versions cannot be redistributed
----------------------------------------------

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are usually not removed from testing by hand. Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems. The release team can force a removal from testing if it is
really needed, please contact them if this should be the case.

We try to close Bugs which have been reported against this package
automatically.  But please check all old bugs, if they where closed
correctly or should have been re-assign to another package.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 646524@bugs.debian.org.

The full log for this bug can be viewed at http://bugs.debian.org/646524

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Alexander Reichle-Schmehl (the ftpmaster behind the curtain)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#646524; Package ftp.debian.org. (Tue, 25 Oct 2011 10:07:40 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurens Blankers <laurens@blankersfamily.com>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Tue, 25 Oct 2011 10:07:44 GMT) Full text and rfc822 format available.

Message #15 received at 646524@bugs.debian.org (full text, mbox):

From: Laurens Blankers <laurens@blankersfamily.com>
To: <646524@bugs.debian.org>
Subject: Re: Bug#576568 closed by Debian FTP Masters <ftpmaster@ftp-master.debian.org> (Bug#646524: Removed package(s) from unstable)
Date: Tue, 25 Oct 2011 11:57:14 +0200
[Message part 1 (text/plain, inline)]
  

Hi, 

I understand the sun-java6 is being removed because of
licensing issues. However just removing it will not notify people who
already have it installed of the security vulnerabilities. 

Please
consider documenting a migration path and notifying all Debian users of
the need to migrate to e.g. openjdk-6-{jre,jdk}. Would the Debian
security and/or announcement mailing list be appropriate for this?


Sincerely, 

Laurens 

On Tue, 25 Oct 2011 09:39:37 +0000,
owner@bugs.debian.org wrote: 

> This is an automatic notification
regarding your Bug report
> which was filed against the sun-java6-jre
package:
> 
> #609632: sun-java6-jre: net.ipv6.bindv6only=1 breaks java
networking
> 
> It has been closed by Debian FTP Masters .
> 
> Their
explanation is attached below along with your original report.
> If this
explanation is unsatisfactory and you have not received a
> better one
in a separate message then please contact Debian FTP Masters by
>
replying to this email.
> 
> -- 609632:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=609632 [3] Debian Bug
Tracking System Contact owner@bugs.debian.org [4] with problems

 


Links:
------
[1] mailto:ftpmaster@ftp-master.debian.org
[2]
mailto:ftpmaster@ftp-master.debian.org
[3]
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=609632
[4]
mailto:owner@bugs.debian.org
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#646524; Package ftp.debian.org. (Wed, 02 Nov 2011 15:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Hudec <pehasys@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Wed, 02 Nov 2011 15:15:05 GMT) Full text and rfc822 format available.

Message #20 received at 646524@bugs.debian.org (full text, mbox):

From: Petr Hudec <pehasys@gmail.com>
To: 646524@bugs.debian.org
Subject: Downloader for jre
Date: Wed, 2 Nov 2011 08:11:17 -0700
Maybe we could offer downloader, something similar to flashplugin-nonfree.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#646524; Package ftp.debian.org. (Wed, 02 Nov 2011 15:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Torsten Werner <twerner@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Wed, 02 Nov 2011 15:27:03 GMT) Full text and rfc822 format available.

Message #25 received at 646524@bugs.debian.org (full text, mbox):

From: Torsten Werner <twerner@debian.org>
To: Petr Hudec <pehasys@gmail.com>, 646524@bugs.debian.org
Subject: Re: Bug#646524: Downloader for jre
Date: Wed, 02 Nov 2011 16:23:46 +0100
Am 02.11.2011 16:11, schrieb Petr Hudec:
> Maybe we could offer downloader, something similar to flashplugin-nonfree.

No, thanks. We should not start that again. Please help with packaging
OpenJDK if you have some spare time.

Torsten




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 01 Dec 2011 07:35:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 17:11:24 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.